--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: differences
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: encoding
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: font_num
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: path
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: open
comment: ""
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: METRICS_PATH
  value: "[ File.join(File.dirname(File.expand_path(__FILE__)), 'fonts') ]"
- !ruby/object:RI::Constant 
  comment: 
  name: KEYS
  value: "%w{FontName FullName FamilyName Weight ItalicAngle IsFixedPitch             CharacterSet UnderlinePosition UnderlineThickness Version             EncodingScheme CapHeight XHeight Ascender Descender StdHW StdVW             StartCharMetrics FontBBox C KPX}"
- !ruby/object:RI::Constant 
  comment: 
  name: NUMBER
  value: /^[+\-0-9.]+$/o
full_name: PDF::Writer::FontMetrics
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: save_as_rfm
name: FontMetrics
superclass: Object
